Package org.eclipse.lemminx.extensions.prolog

## Class PrologModel

- java.lang.Object
- - org.eclipse.lemminx.extensions.prolog.PrologModel

    public class PrologModel
    extends Object

This class holds values that represent the XSI xsd. Can be seen at https://www.w3.org/2001/XMLSchema-instance

### Field Summary

Fields
`static String` `ENCODING_NAME`
`static List<String>` `ENCODING_VALUES`
`static String` `EUC_KR`
`static String` `GB2312`
`static String` `ISO_8859_1`
`static String` `NO`
`static String` `SHIFT_JIS`
`static String` `STANDALONE_NAME`
`static List<String>` `STANDALONE_VALUES`
`static String` `UTF_8`
`static String` `VERSION_1`
`static String` `VERSION_1_1`
`static String` `VERSION_NAME`
`static List<String>` `VERSION_VALUES`
`static String` `WINDOWS_1251`
`static String` `WINDOWS_1252`
`static String` `YES`

### Constructor Summary

Constructors
`PrologModel()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `computeAttributeNameCompletionResponses​(ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.Range editRange, DOMDocument document, SharedSettings sharedSettings)`
`static void` `computeValueCompletionResponses​(ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.Range editRange, DOMDocument document)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VERSION_NAME

    public static final String VERSION_NAME

See Also:
  Constant Field Values

#### ENCODING_NAME

    public static final String ENCODING_NAME

See Also:
  Constant Field Values

#### STANDALONE_NAME

    public static final String STANDALONE_NAME

See Also:
  Constant Field Values

#### VERSION_1

    public static final String VERSION_1

See Also:
  Constant Field Values

#### VERSION_1_1

    public static final String VERSION_1_1

See Also:
  Constant Field Values

#### UTF_8

    public static final String UTF_8

#### ISO_8859_1

    public static final String ISO_8859_1

#### WINDOWS_1251

    public static final String WINDOWS_1251

See Also:
  Constant Field Values

#### WINDOWS_1252

    public static final String WINDOWS_1252

See Also:
  Constant Field Values

#### SHIFT_JIS

    public static final String SHIFT_JIS

See Also:
  Constant Field Values

#### GB2312

    public static final String GB2312

See Also:
  Constant Field Values

#### EUC_KR

    public static final String EUC_KR

See Also:
  Constant Field Values

#### YES

    public static final String YES

See Also:
  Constant Field Values

#### NO

    public static final String NO

See Also:
  Constant Field Values

#### VERSION_VALUES

    public static final List<String> VERSION_VALUES

#### ENCODING_VALUES

    public static final List<String> ENCODING_VALUES

#### STANDALONE_VALUES

    public static final List<String> STANDALONE_VALUES

### Constructor Detail

#### PrologModel

    public PrologModel()

### Method Detail

#### computeAttributeNameCompletionResponses

    public static void computeAttributeNameCompletionResponses​(ICompletionRequest request,
                                                               ICompletionResponse response,
                                                               org.eclipse.lsp4j.Range editRange,
                                                               DOMDocument document,
                                                               SharedSettings sharedSettings)
                                                        throws BadLocationException

Throws:
  `BadLocationException`

#### computeValueCompletionResponses

    public static void computeValueCompletionResponses​(ICompletionRequest request,
                                                       ICompletionResponse response,
                                                       org.eclipse.lsp4j.Range editRange,
                                                       DOMDocument document)
                                                throws BadLocationException

Throws:
  `BadLocationException`